variables:
  SERVICE_NAME: "flaskpytest"
  
default:
  image: python:3.9-slim-bullseye
  before_script:
      - apt-get update
      - apt-get install -y python3-pip
      - pip install -r requirements.txt
stages:
  - test
  - notify

test:
  script:
    - pytest --junitxml=report.xml --cov=. test_hello.py
    - coverage xml
  artifacts:
    when: always
    reports:
      junit: report.xml
      cobertura: coverage.xml

notify:
  stage: notify
  needs: [test]
  only:
    - main
  script:
    - echo "Pipeline completed!"
